Page MenuHomePhabricator

Evaluate placeholder structure
Closed, ResolvedPublic

Description

Make sure the placeholders are well structured (semantically) so that search engines and other spiders can consume them reasonably well.

Event Timeline

hoo created this task.Sep 2 2016, 12:34 PM
Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Sep 5 2016, 11:03 AM
Lucie moved this task from To Do Next to Doing on the ArticlePlaceholder board.Sep 5 2016, 1:26 PM
Lucie added a comment.Sep 9 2016, 2:58 PM

The HTML of the ArticlePlaceholder generated content pages look like this so far:

One Statement box:

<div>
<h2>loko de naskiĝo</h2>
<div>
<p>Kolonjo<sup><a href="#cite_note-1">[1]</a></sup></p>
</div>

Table of Identifier (September 2016):

<table>
<tbody>
<tr>
<td>ISNI (ISO 27729) identigilo</td>
<td> <div> <p>0000 0000 2276 0482</p> </div> </td>
</tr>
<tr>
<td>DBLP pID</td>
<td> <div> <p>65/11005</p> </div> </td>
</tr>
<tr>
<td>GND-identigilo (Germanio)</td>
<td> <div> <p>132539691</p> </div> </td>
</tr>
</tbody>
</table>

(taken from https://eo.wikipedia.org/wiki/Speciala%C4%B5o:AboutTopic/Q13520818)

From what I read up so far it's semantically understandable but I'd like to hear more opinions on it.

Izno added a subscriber: Izno.Sep 9 2016, 6:53 PM

That statement box looks okay.

The identifier table should probably just be rendering table cells around the IDs rather than table cell, div, and paragraph, since a) they aren't paragraphs of information and b) there doesn't exist a reason to add a generic block element (the div).

Change 309954 had a related patch set uploaded (by Lucie Kaffee):
Adjust the HTML output of the ArticlePlaceholder structure

https://gerrit.wikimedia.org/r/309954

Lucie moved this task from Doing to Review on the ArticlePlaceholder board.Sep 12 2016, 1:11 PM

Change 309954 merged by jenkins-bot:
Adjust the HTML output of the ArticlePlaceholder structure

https://gerrit.wikimedia.org/r/309954

Lydia_Pintscher closed this task as Resolved.Oct 18 2016, 10:51 AM
hoo moved this task from Review to Done on the ArticlePlaceholder board.Dec 13 2016, 10:07 AM